#
# spec file for package slurp
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           slurp
Version:        1.5.0
Release:        1.5
Summary:        Wayland region selector
License:        MIT
Group:          System/GUI/Other
URL:            https://github.com/emersion/slurp
Source:         https://github.com/emersion/slurp/archive/v%{version}.tar.gz
BuildRequires:  meson >= 0.48.0
BuildRequires:  pkgconfig
BuildRequires:  scdoc
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.32
BuildRequires:  pkgconfig(xkbcommon)

%description
Tool to select a region in a Wayland compositor.
Meant to be used with a tool called grim.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -I/usr/include/wayland"
%meson
%meson_build

%install
%meson_install

%files
%{_bindir}/slurp
%{_mandir}/man1/slurp.1%{?ext_man}

%changelog
* Thu Dec 14 2023 Michael Vetter <mvetter@suse.com>
- Update to 1.5.0:
  * extract cursor state initialization
  * Implement wp_cursor_shape_v1
  * build: move to `meson setup build` command
  * Fix crosshair cursor is not scaled
* Mon Dec  5 2022 Dirk Müller <dmueller@suse.com>
- update to 1.4.0:
  * Fix busying the buffer
  * Add option to enforce a specific aspect ratio of the selection (#77)
  * man: fix wrong section headers
  * render: Allow the user to specify which font family to use
  * Mark moved-away from outputs as dirty (#89)
  * has_selection is true only after moving the mouse (#88)
  * Render dimensions with same color as border
  * readme: IRC channel has moved to Libera Chat
  * Use cairo_scale instead of multiplying by the scale everywhere
  * Print output local coordinates
* Mon Apr 19 2021 Michael Vetter <mvetter@suse.com>
- Update to 1.3.2:
  * Fix incorrect anchor when output has negative position
  * Fix loss of selection when pointer moves between outputs
* Thu Nov  5 2020 Michael Vetter <mvetter@suse.com>
- Update to 1.3.1:
  * Fix off-by-one error in in_box function
  * Print output into buffer, print result late
  * Safe printf usage
  * readme: simplify "select output" example
  * readme: clarify that -f "%%o" prints the output name
* Fri Oct 16 2020 Michael Vetter <mvetter@suse.com>
- Update to 1.3.0:
  * Touch input is now supported
  * The current selection can now be moved by holding the Space key
  * Choice boxes specified on stdin can now be labelled
  * A new format option prints the name of the output
  * The new -o option allows to add all outputs as choice boxes
  * The new -r option forces the user to select one of the choice boxes
* Tue Jun  4 2019 mvetter@suse.com
- Update to 1.2.0:
  * It's now possible to provide a list of predefined
    regions to choose from
  * A single-pixel selection mode has been added
  * Check out the README for some examples:
    https://github.com/emersion/slurp#example-usage
* Mon Feb 25 2019 mvetter@suse.com
- Update to 1.1.0:
  * Add man-pages option like swaywm/sway@ba16f16e4d5a
  * Display alpha in usage
  * Add user-defined output formatting (#33)
  * Abort on escape (#25)
  * Support selection across multiple outputs (#27)
* Wed Feb 13 2019 mvetter@suse.com
- Update to 1.0.1:
  * Mention scdoc as optional dependency
  * Remove erronous endif
  * Fix frame callback running after output free
  * Use linux/input-event-codes.h on FreeBSD
* Wed Feb  6 2019 mvetter@suse.com
- Initial package of slurp 1.0 for openSUSE
